您尚未登录。

#1 2020-07-09 12:40:35

aniypc421
会员
注册时间: 2020-07-09
帖子: 1

WPS for Linux 字体包 ttf-wps-fonts 依赖无法解决

今天装了一下 WPS 国际版,同时也要装字体包,当我装的时候出现了以下情况:

    aniypc421@aniypc421-pc > yay ttf-wps-fonts     
    2 aur/ttf-wps-fonts 1.0-3 (+89 0.40) (过时的: 2020-06-30)
        Symbol fonts required by wps-office.
    1 archlinuxcn/ttf-wps-fonts 1.0-3.1 (207.6 KiB 395.0 KiB)
        Symbol fonts required by wps-office.
    ==> 要安装的包 (示例: 1 2 3, 1-3 或 ^4)
    ==> 2
     -> 找不到所有需要的包:
            xorg-font-utils (被这些包需要: ttf-wps-fonts)
    aniypc421@aniypc421-pc > sudo pacman -S ttf-wps-fonts
    正在解析依赖关系...
    警告:无法解决 "xorg-font-utils","ttf-wps-fonts" 的一个依赖关系
    :: 因为无法解决依赖关系,以下软件包无法进行更新:
          ttf-wps-fonts

    :: 您想在本次更新中跳过上述软件包吗? [y/N]
    错误:无法准备事务处理 (无法满足依赖关系)
    :: 无法满足依赖 'xorg-font-utils' (ttf-wps-fonts 需要)
      aniypc421@aniypc421-pc >

上官网查了一下,发现 'xorg-font-utils' 这个包已经没了
> xorg-font-utils
现在怎么解

离线

#2 2020-07-09 16:11:42

aluminium
会员
注册时间: 2019-02-01
帖子: 24
个人网站

Re: WPS for Linux 字体包 ttf-wps-fonts 依赖无法解决

等  ttf-wps-fonts  更新

离线

#3 2020-07-20 23:29:53

maoxuner
会员
注册时间: 2018-06-10
帖子: 2
个人网站

Re: WPS for Linux 字体包 ttf-wps-fonts 依赖无法解决

aur上的版本更新了,可以直接从aur安装。

yay -Y ttf-wps-fonts

离线

#4 2021-11-19 20:20:40

风盈袖
会员
注册时间: 2021-11-11
帖子: 6

Re: WPS for Linux 字体包 ttf-wps-fonts 依赖无法解决

我安装了字体 打开WPS里面还是没有方正字体

maoxuner 说:

aur上的版本更新了,可以直接从aur安装。

yay -Y ttf-wps-fonts

离线

#5 2021-11-19 23:27:52

SamLukeYes
会员
所在地: Canton, China
注册时间: 2020-07-19
帖子: 173
个人网站

Re: WPS for Linux 字体包 ttf-wps-fonts 依赖无法解决

风盈袖 说:

我安装了字体 打开WPS里面还是没有方正字体

maoxuner 说:

aur上的版本更新了,可以直接从aur安装。

yay -Y ttf-wps-fonts

方正字体不是这个包,是 wps-office-fonts


Using Arch Linux on Surface Pro 6

离线

#6 2021-11-20 22:06:38

风盈袖
会员
注册时间: 2021-11-11
帖子: 6

Re: WPS for Linux 字体包 ttf-wps-fonts 依赖无法解决

搞定了 万分感谢^^

SamLukeYes 说:
风盈袖 说:

我安装了字体 打开WPS里面还是没有方正字体

maoxuner 说:

aur上的版本更新了,可以直接从aur安装。

yay -Y ttf-wps-fonts

方正字体不是这个包,是 wps-office-fonts

离线

页脚